.*------------------------------------------------------------------------*
.* Yet Another GetKey for REXX                                            *
.*========================================================================*
.* Copyright (c) 2015 VicTor Smirnoff                   iamvic@rambler.ru *
.*                                                                        *
.* Permission is hereby granted, free  of charge, to any person obtaining *
.* a  copy  of  this  software   and   associated   documentation   files *
.* (the  "Software"),  to  deal  in  the  Software  without  restriction, *
.* including without limitation  the rights  to use, copy, modify, merge, *
.* publish, distribute, sublicense,  and/or  sell copies of the Software, *
.* and  to permit persons  to whom  the Software  is furnished  to do so, *
.* subject to the following conditions:                                   *
.*                                                                        *
.* The above  copyright  notice  and  this  permission  notice  shall  be *
.* included in all copies or substantial portions of the Software.        *
.*                                                                        *
.* THE SOFTWARE  IS PROVIDED  "AS IS",  WITHOUT  WARRANTY  OF  ANY  KIND, *
.* EXPRESS OR IMPLIED,  INCLUDING  BUT  NOT LIMITED  TO THE WARRANTIES OF *
.* MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. *
.* IN NO EVENT SHALL  THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE  FOR ANY *
.* CLAIM, DAMAGES OR OTHER LIABILITY,  WHETHER IN AN ACTION  OF CONTRACT, *
.* TORT  OR  OTHERWISE,  ARISING  FROM,  OUT  OF  OR  IN  CONNECTION WITH *
.* THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.             *
.*------------------------------------------------------------------------*
:h2 id='en_install'.How Install, Use and Remove
:font facename='Courier' size=14x8 codepage=850.
:p.
:hp2.2. How Install, Use and Remove.:ehp2.
:p.
The Yet Another GetKey for REXX distribution package is the archive file
named :color fc=darkgreen.yaGetKeyNNN.zip:color fc=default.,
where :color fc=darkgreen.NNN:color fc=default. is the version number.
:p.
:hp2.The package structure:ehp2. (v0.07)
:lm margin=5.
:xmp.:color bc=palegray.
Ŀ
 :color fc=darkgreen..\:color fc=default.                                                                 
    readme.txt                                                      
    yaGetKey.html                                                   
 :color fc=darkgreen..\BIN\:color fc=default.                    :color fc=darkgray.&lt.-- the compiled files:color fc=default.                   
    Sample.cmd                                                      
    yaGetKey.dll                                                    
    yaGetKey.inf                                                    
 :color fc=darkgreen..\SOURCE\:color fc=default.                 :color fc=darkgray.&lt.-- the source files:color fc=default.                     
    makefile                                                        
 :color fc=darkgreen..\SOURCE\C\:color fc=default.               :color fc=darkgray.&lt.-- the source files for DLLs:color fc=default.            
    yaGetKey.c                                                      
 :color fc=darkgreen..\SOURCE\INF\:color fc=default.             :color fc=darkgray.&lt.-- the source files for documentation:color fc=default.   
    yaGetKey.ipf                                                    
 :color fc=darkgreen..\SOURCE\INF\EN\:color fc=default.          :color fc=darkgray.&lt.-- in English:color fc=default.                           
    1english.ipf                                                    
 :color fc=darkgreen..\SOURCE\INF\EN\API\:color fc=default.      :color fc=darkgray.&lt.-- the API description:color fc=default.                  
    2api.ipf                                                        
    3example.ipf                                                    
    3yaGetKey.ipf                                                   
    3yaGetKeyDrop.ipf                                               
    3yaGetKeyLoad.ipf                                               
    3yaGetKeyVer.ipf                                                
 :color fc=darkgreen..\SOURCE\INF\EN\COMMON\:color fc=default.   :color fc=darkgray.&lt.-- the common paragraphs:color fc=default.                
    2install.ipf                                                    
    2intro.ipf                                                      
    2notes.ipf                                                      
 :color fc=darkgreen..\SOURCE\INF\EN\OTHER\:color fc=default.    :color fc=darkgray.&lt.-- the additional paragraphs:color fc=default.            
    2authors.ipf                                                    
    2license.ipf                                                    
    footnote.ipf                                                    
 :color fc=darkgreen..\SOURCE\INF\IMG\:color fc=default.         :color fc=darkgray.&lt.-- the common bitmaps:color fc=default.                   
    CP855.bmp                                                       
    CP855.bmp                                                       
    CP855.bmp                                                       
    EN441.bmp                                                       
    RU441.bmp                                                       
 :color fc=darkgreen..\SOURCE\INF\RU\:color fc=default.          :color fc=darkgray.&lt.-- in Russian:color fc=default.                           
    1russian.ipf                                                    
 :color fc=darkgreen..\SOURCE\INF\RU\API\:color fc=default.      :color fc=darkgray.&lt.-- the API description:color fc=default.                  
    2api.ipf                                                        
    3example.ipf                                                    
    3yaGetKey.ipf                                                   
    3yaGetKeyDrop.ipf                                               
    3yaGetKeyLoad.ipf                                               
    3yaGetKeyVer.ipf                                                
 :color fc=darkgreen..\SOURCE\INF\RU\COMMON\:color fc=default.   :color fc=darkgray.&lt.-- the common paragraphs:color fc=default.                
    2install.ipf                                                    
    2intro.ipf                                                      
    2notes.ipf                                                      
 :color fc=darkgreen..\SOURCE\INF\RU\OTHER\:color fc=default.    :color fc=darkgray.&lt.-- the additional paragraphs:color fc=default.            
    2authors.ipf                                                    
    2license.ipf                                                    
    footnote.ipf                                                    

:color bc=default.:exmp.
:lm margin=1.
.br
:hp2.How install:ehp2.
:ol compact.
:li.unzip the archive file to any new or existing empty temporary
directory, i.e. :hp2.x&colon.\yaGetKey:ehp2.
:li.copy the following files from :hp2.x&colon.\yaGetKey\BIN:ehp2.
directory&colon.
.br
:ul compact.
:li.:color fc=darkgreen.yaGetKey.dll:color fc=default. - to a directory
listed in your LIBPATH statement in your CONFIG.SYS file,
i.e. :hp2.c&colon.\OS2\APPS\DLL:ehp2..
This dynamic link library contains the set of the yaGetKey API functions
for REXX,
:li.:color fc=darkgreen.yaGetKey.inf:color fc=default. - to a directory
listed in your BOOKSHELF environment variable (see SET BOOKSHELF= statement
in your CONFIG.SYS file),
i.e. :hp2.c&colon.\OS2\BOOK:ehp2..
Use OS/2 VIEW command for viewing of this file,
:li.:color fc=darkgreen.Sample.cmd:color fc=default. - to any work directory,
i.e. :hp2.x&colon.\MyApps:ehp2..
:eul.
:li.start :color fc=darkgreen.Sample.cmd:color fc=default. from this work
directory in the OS/2 comand line session and check the results
(see :link reftype=hd refid='en_example'.3.5. Example:elink.),
:li.if you do not plan to modify the package then clean or remove
the used temporary directory else see
:link reftype=hd refid='en_notes'.4. Some notes:elink..
:eol.
:p.
:hp2.How use:ehp2.
:ol compact.
:li.add the following function calls at the beginning of your application 
for the registration&colon.
:xmp.:color bc=palegray.
Ŀ
 call RxFuncAdd 'yaGetKeyLoad','yaGetKey','yaGetKeyLoad'            
 call yaGetKeyLoad                                                  

:color bc=default.:exmp.
:li.all functions will be available to use after the registration 
:li.add the following function call at the end of your application 
for the registration drop&colon.
:xmp.:color bc=palegray.
Ŀ
 call yaGetKeyDrop                                                  

:color bc=default.:exmp.
:eol.
:hp2.How remove:ehp2.
:ol compact.
:li.close all applications that use the Yet Another GetKey library
(use the yaGetKeyDrop call for the registration drop),
:li.exit all CMD.EXE shells,
:li.remove :color fc=darkgreen.yaGetKey.dll:color fc=default.
and :color fc=darkgreen.yaGetKey.inf:color fc=default. files
from used directories.
:eol.
:p.
:font facename='default' size=0x0.
